from parallels.core.utils.entity import Entity


class WordpressInstance(Entity):
    def __init__(self, wordpress_instance_id, subscription_id):
        self._wordpress_instance_id = wordpress_instance_id
        self._subscription_id = subscription_id

    @property
    def wordpress_instance_id(self):
        """
        :rtype: str | unicode
        """
        return self._wordpress_instance_id

    @property
    def subscription_id(self):
        """
        :rtype: str | unicode
        """
        return self._subscription_id
